Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Ubuntu 16.04 LTS - невозможно устанавливать пакеты you have held broken packages  (Прочитано 483 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн anna99

  • Автор темы
  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Добрый день. Версия Ubuntu: Ubuntu 16.04 LTS

Перестал открываться firefox на ubuntu, выдаваемая ошибка:
    $ firefox-esr
    XPCOMGlueLoad error for file /usr/lib/firefox-esr/libxul.so:
    /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.23' not found (required by /usr/lib/firefox-esr/libxul.so)
    Couldn't load XPCOM.
После этого решила установить почему-то исчезнувшие библиотеки, но обнаружила, что ничего не устанавливается вообще. Пример попытки установки любой программы:
(Нажмите, чтобы показать/скрыть)
Стандартные попытки восстановления неустранимых зависимостей ни к чему не приводят
    sudo apt-get clean
Нормально проходит
    sudo apt-get autoremove
Также проходит нормально


    sudo apt-get update
Заканчивается ошибкой. Полный вывод ниже
(Нажмите, чтобы показать/скрыть)

Умоляю, помогите решить проблему. От этого зависит вся моя работа, я просто боюсь перегружать систему
« Последнее редактирование: 15 Ноября 2020, 01:55:58 от anna99 »

Оффлайн Onlininer

  • Активист
  • *
  • Сообщений: 388
    • Просмотр профиля
anna99, Добрый!!
Цитировать
Distributor ID:   Ubuntu
Description:   Ubuntu 16.04.7 LTS
Release:   16.04
Codename:   xenial
и
Цитировать
Mozilla Firefox 82.0.3
ЧЯДНТ????
избавьтесь от всей этой "левизны" в репозитариях сперва..Зачем вам этот Firefox ESR, если он и так включён в систему, и, к тому же официально обновляется до сих пор???
 Почитайте ЗДЕСЬ (там даже с картинками)
« Последнее редактирование: 15 Ноября 2020, 02:43:10 от Onlininer »

Оффлайн anna99

  • Автор темы
  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Ну помогите тогда. Новичок же. Что где выписать, какой вывод дать команд?:)
firefox esr есть для старья, новый FF также имеется. Всё отлично работало. Не помню, что я там устанавливала, но вот перестало всё и устанавливаться и разные версии FF запускаться. Как говорю, боюсь перегружаться, работаю пятый день без ребута :'(

Оффлайн Onlininer

  • Активист
  • *
  • Сообщений: 388
    • Просмотр профиля
Ну помогите тогда. Новичок же. Что где выписать, какой вывод дать команд?
никакой.
Выше ссылка ЗДЕСЬ (даже с картинками) оставить (восстановить) только официальные репозитарии, сохранить, перегрузить, обновить. (всю стороннюю муть -удалить)
После всего этого (в терминале)
Цитировать
sudo apt-get update
sudo apt-get install firefox
« Последнее редактирование: 15 Ноября 2020, 02:47:21 от Onlininer »

Оффлайн andytux

  • Старожил
  • *
  • Сообщений: 5278
    • Просмотр профиля
Цитировать
Ну помогите тогда. Новичок же.
Добрая половина форума исписана этим вопросом. Например.
Разве мама не учила, не тащить все в рот грязными руками. Кто-же слушает маму.
Лечение уже предложили. В легких случаях помогает. Но у вас слишком "много грязи".
А самое надежное средство профилактики - бэкап.

 

Страница сгенерирована за 0.045 секунд. Запросов: 26.